//build_lib
//fonction qui cre les libraires des macros scilab
//Entre : path chemin de la libraire dans MODNUM (ex: macros/util/)
//         tt nom de la librairie (ex:mod_num_util)
//Sortie : nant
// txt : Information utile de chargement
//               ex : mod_num_scicos_utils=lib(MODNUM+'/macros/scicos_util/');
function []=build_lib(path,tt)
 if size(path,'*')==size(tt,'*') then
   for i=1:size(path,'*') 
    //Affiche un message
    printf("Build "+tt(i)+" macro library\n");
    //construit la libraire tt dans le chemin path
    str='genlib('''+tt(i)+''',MODNUM+'''+path(i)+''',%t);'
    ierr=execstr(str,'errcatch')
    if ierr<> 0 then
     printf("Build lib : error\n");
     abort
    end
   end
 else
  printf("path and tt must have the same size");
  abort
 end
endfunction
