//generate_mod_num_html
//fonction qui gnre les man pages de mod_num
//Entre : flag : 'diagr'
//                'sce'
//                'block'
//                'sci'
//                'rout'
//                'sim'
//                'sce'
//                'what'
//                'all'
//Sortie : nant
function generate_mod_num_html(flag,lang)

[lsh,rsh]=argn(0)
if rsh<2 then
  if ~exists('lang') then
    lang='eng'
  elseif lang<>'eng' & lang<>'fr' then
    lang='eng'
  end
end
  
flag_diagr=%f;
flag_sce=%f;
flag_block=%f;
flag_sci=%f;
flag_rout=%f;
flag_sim=%f
flag_what=%f;
flag_all=%f;

for i=1:size(flag,1)
 select flag(i)
  case 'diagr'
   flag_diagr=%t;
  case 'sce'
   flag_sce=%t;
  case 'block'
   flag_block=%t;
  case 'sci'
   flag_sci=%t;
  case 'rout'
   flag_rout=%t;
  case 'sim'
   flag_sim=%t;
  case 'what'
   flag_what=%t;
  case 'all'
   flag_diagr=%t;flag_sce=%t;flag_block=%t;
   flag_sci=%t;flag_rout=%t;flag_what=%t;
   flag_sim=%t;flag_all=%t;
  else
   printf("Invalid flag\n")
   abort
 end
end

//gnrre les fichiers xml
generate_mod_num_xml(flag,lang);

//rcupre les donnes
import_data_to_file(xml_path+lang+'/','all',data_path+lang+'/');

//return master list of files and directories
tt_ml=return_master_list(MODNUM);

//Scicos diagram
if flag_diagr then 
 generate_html_file(diagr_all(:,2),'diagr',lang);
end

//Scicos Palette
if flag_block then
 Palrep=return_dir_in_dir(tt_ml,pal_path)
 for j=1:size(Palrep,1)
   PalName=basename(part(Palrep(j),1:length(Palrep(j))-1));
   generate_html_file(PalName,'pal',lang)
   //Scicos block
   lisf=return_ext_file_in_dir(tt_ml,Palrep(j),'.sci');
   for i=1:size(lisf,1)
     name=basename(lisf(i,1));
     generate_html_file(name,'block',lang)
   end
 end
end

 //Scilab macro
if flag_sci then
 Librep=return_dir_in_dir(tt_ml,mac_path)
 for j=1:size(Librep,1)
  LibName=basename(part(Librep(j),1:length(Librep(j))-1));
  generate_html_file(LibName,'scilib',lang)
  //Scilab function
  lisf=return_ext_file_in_dir(tt_ml,Librep(j),'.sci');
  for i=1:size(lisf,1)
     name=basename(lisf(i,1));
     generate_html_file(name,'sci',lang)
  end
 end
 //Mod_num_sci_lib
 generate_html_file(mod_num_sci_lib,'scilib',lang);
 for i=1:size(modnum_sci_func,1)
  generate_html_file(modnum_sci_func(i),'sci',lang)
 end
end

//low level routines
if flag_rout then
  generate_html_file(mod_num_rout_lib,'scilib',lang);
  lisf_rout=return_ext_file_in_dir(tt_ml,low_rout_path,".c")
  for i=1:size(lisf_rout,1)
    name=basename(lisf_rout(i,1));
    generate_html_file(name,'rout',lang)
  end
end

//Scilab simulation scripts
if flag_sim then 
 generate_html_file(sim_all(:,2),'sim',lang);
end

//Scilab scripts
if flag_sce then 
 generate_html_file(sce_all(:,2),'sce',lang);
end

//Main html page
if flag_what then
 generate_swhatis(html_path+lang+'/');
end

endfunction
