//return_xml_param2
//fonction qui retourne les paramres dun fichier
//d'aide scilab construit avec help_skeleton
//ex : return_xml_param2(MODNUM+'/man/xml/CAN_f.xml')
//Entre fname : chemin+nom du fichier xml
//Sortie txt : tableau de chaines de caractres de taille n,2
//             colonne 1 : nom du paramtre
//             colonne 2 : description du paramtre
function txt=return_xml_param2(fname)
txt_temp=mgetl(fname);
txt=[]
j=1;
a=[]
b=[]
c=[]

//Cherche les bornes <PARAM_ITEM> et </PARAM_ITEM>
if txt_temp<>[] then
 for i=1:size(txt_temp,'*')
  if strindex(txt_temp(i),'<PARAM_ITEM>')<>[] then
   a(j,1)=i;
  end;
  if strindex(txt_temp(i),'</PARAM_ITEM>')<>[] then
   a(j,2)=i;
   j=j+1;
  end
 end

 for i=1:size(a,'r')
     //pour chaque bloc
     for j=a(i,1):a(i,2)
        //Trouve les bornes du nom du paramtre
        if strindex(txt_temp(j),'<PARAM_NAME>')<>[] then
           b(i,1)=j;
        end
        if strindex(txt_temp(j),'</PARAM_NAME>')<>[] then
           b(i,2)=j;
        end

        //Trouve les bornes de la description du paramtre
        if strindex(txt_temp(j),'<PARAM_DESCRIPTION>')<>[] then
           c(i,1)=j;
        end
        if strindex(txt_temp(j),'</PARAM_DESCRIPTION>')<>[] then
           c(i,2)=j;
        end
     end
 end

 for i=1:size(a,'r')
   txt(i,1)="";
   if b<>[] then  
     for j=b(i,1):b(i,2)
       txt(i,1)=txt(i,1)+txt_temp(j);
     end
     //Enlve les dlimiteurs <PARAM_NAME> et </PARAM_NAME>
     txt(i,1)=strsubst(txt(i,1),'<PARAM_NAME>',"");
     txt(i,1)=strsubst(txt(i,1),'</PARAM_NAME>',"");
     //Enlve les blancs du dbut
     txt(i,1)=stripblanks_begin(txt(i,1));
     //Enlve les blancs placs  la fin
     txt(i,1)=stripblanks_end(txt(i,1));
   end
  
   txt(i,2)="";
   if c<>[] then
     for j=c(i,1):c(i,2)
       txt(i,2)=txt(i,2)+txt_temp(j);
     end
     //Enlve les dlimiteurs <PARAM_DESCRIPTION> et </PARAM_DESCRIPTION>
     txt(i,2)=strsubst(txt(i,2),'<PARAM_DESCRIPTION>',"");
     txt(i,2)=strsubst(txt(i,2),'</PARAM_DESCRIPTION>',"");
     //Enlve les dlimiteurs <SP> et </SP>
     if strindex(txt(i,2),'<SP>')<>[] then
       txt(i,2)=strsubst(txt(i,2),'<SP>',"");
     end
     if strindex(txt(i,2),'</SP>')<>[] then
       txt(i,2)=strsubst(txt(i,2),'</SP>',"");
     end
     //Enlve les blancs du dbut
     txt(i,2)=stripblanks_begin(txt(i,2));
     //Enlve les blancs placs  la fin
     txt(i,2)=stripblanks_end(txt(i,2));
     //Enlve les : du dbut
     if part(txt(i,2),1)==':' then
       txt(i,2)=part(txt(i,2),2:length(txt(i,2)));
     end
     //Enlve les blancs du dbut
     txt(i,2)=stripblanks_begin(txt(i,2));
 
     txt(i,2)=retrieve_char(txt(i,2))
   end
 end

else
 txt=[]
end
endfunction 
