/* z_buf Scicos discret memory block
 * Type 4 simulation function ver 1.0 - scilab-3.0
 * 17 janvier 2005 - IRCOM GROUP - Author : A.Layec
 */
 
/* REVISION HISTORY :
 * $Log$
 */
 
#include "scicos_block.h"

/* Cette fonction de simulation est un buffer
 * qui mmorise la valeur de son entre rgulire
 * dans le vecteur des tats discrets z
 *
 * entre rgulire : u[0..nu-1]
 * sortie rgulire : nant
 * entre vnementielle : Date de dclenchement
 * sortie vnementielle : nant
 *
 * tat discret : z[0..ipar[0]-1] : mot mmoire
 *                z[ipar[0]] : compteur
 * paramtre entier : ipar[0] : taille du mot mmoire
 */

/*prototype*/
void z_buf(scicos_block *block,int flag)
{
 /*dclaration des variables*/
 int i,j;
 /*seulement sur flag 2*/
 if(flag==2)
 {
  /*rcupre valeur du compteur chantillons*/
  j=(int)block->z[block->ipar[0]];
  /*met en mmoire la(les) valeur(s) du port rguliers*/
  for(i=0;i<block->insz[0];i++) block->z[j+i]=block->inptr[0][i];
  /*incrmente compteur chantillons*/
  j=j+block->insz[0];
  /*Test valeur compteur chantillons*/
  if(j>=block->ipar[0]) j=0;
  /*mmorise compteur dans z[n+1]*/
  block->z[block->ipar[0]]=j;
 }
}
