/* decod_c subroutine
 * Symbol by chip demodulation
 * IRCOM GROUP - Author : A.Layec
 */
 
/* REVISION HISTORY :
 * $Log$
 */
 
#include "mod_num_lib.h"

/* decod_c routine de multiplication  code par symbole
 * nuc : taille du vecteur code
 * nus : taille du vecteur symbole
 * c : adresse de dpart du vecteur code
 * s : adresse de dpart du vecteur symbole
 * y : adresse de dpart du vecteur rsultat
 */
 
void decod_c(int *nuc,int *nus,double *c,double *s,double *y)
{
 /*Dclaration des variables compteur*/
 int i,j;
 
 /*Ralise multiplication code[j] par symbole[i]*/
 for (i=0;i<(*nus);i++)
 {
  for(j=0;j<(*nuc);j++)
  {
   y[i*(*nuc)+j]=s[i*(*nuc)+j]*c[j];
  }
 } 
}
