#include "mod_num_lib.h"
/*
intsym_c routine de calcul d'intgration symbole
Entres :
n     : taille des vecteurs (scalaire)
nech  : nombre d'chantillons par symbole (scalaire)
count : valeur initiale du compteur (scalaire)
step  : pas d'intgration (scalaire)
u     : vecteur  intgrer (vecteur)
Sorties :
y : vecteur ingrer (scalaire)
Entre/Sortie : 
z : echantillon mmoire (scalaire)
*/
void intsym_c(int *n,int *nech,int *init_c,double *step,double *u,double *y,double *z)
{
 /*Dclaration des variables compteurs*/
 int i;
 int count;
 /*rcupre valeur initiale*/
 count=*init_c;

 /*pour tous les chantillons du vecteur d'entre*/
 for(i=0;i<(*n);i++)
 {
  if(i==count)
  {
   count += *nech;
   y[i]=0;
  }
  else
  {
   if(i==0) y[i]=2/(*step)*(u[i]+u[i-1])+(*z);
   else if(i==(*n)-1)
   {
    y[i]=2/(*step)*(u[i]+u[i-1])+y[i-1];
    (*z)=y[i];
   }
   else y[i]=2/(*step)*(u[i]+u[i-1])+y[i-1];
  }
 }
 
 return;
}
