/* dollar2 Scicos Temporal delay
 * Type 4 simulation function ver 1.0 - scilab-3
 * 21 juin 2005 - IRCOM GROUP - Author : A.Layec
 */
 
/* REVISION HISTORY :
 * $Log$
 */
 
#include "machine.h"
#include "scicos_block.h"
#include <stdio.h>

/*prototype*/
void dollar2(scicos_block *block,int flag)
{
  /*dclaration des variables*/
  double *y;
  double *u;
  double t;
  int *sz,*nbcoef;
  int i,j,nu,nc;
  int ptrui,ptrz;
  
  /*rcupration des adresses des ports*/
  y=(double *)block->outptr[0];
  u=(double *)block->inptr[0];
  
  /*rcupration des paramtres*/
  nu=block->nz-2;
  nc=block->ipar[0]; /*nb chip*/
  
  /*rcupre valeur compteur emetteur*/
  i=block->z[nu];
  j=block->z[nu+1];
  
  t=get_scicos_time();
  fprintf(stderr,"z: nu=%d,flag=%d,nc=%d,t=%f,i=%d,j=%d,nz=%d\n",nu,flag,block->ipar[0],t,i,j,block->nz);
  
  /*Le flag 1 ralise le produit de convolution discret*/
  if(flag==1)
  {
   y[0]=block->z[i];
  }
  else if(flag==2)
  {
   block->z[i]=u[0];
   block->z[nu+1]++;
   if(block->z[nu+1]>=nc)
   {
    block->z[nu+1]=0;
    block->z[nu]++;
    if(block->z[nu]>=nu) block->z[nu]=0;
   }
  }
}
