/* intblk Scicos integer block
 * Type 2 simulation function ver 1.1 - scilab-2.6&2.7
 * 18 dcembre 2003 - IRCOM GROUP - Author : A.Layec
 */

/* REVISION HISTORY :
 * $Log$
 */
 
#include "machine.h"
#include <stdio.h>

/* Cette fonction de simulation retourne la partie
 * entire du vecteur d'entre.
 * y=(int)u
 *
 * entre rgulire : u[0..nu-1] vecteur d'entre
 * sortie rgulire : y[0..nu-1] vecteur de sortie
 * entre et sortie vnementielle : nant
 * paramtre : nant
 */

/*prototype*/
void intblk(flag,nevprt,t,xd,x,nx,z,nz,tvec,ntvec,rpar,nrpar,
            ipar,nipar,inptr,insz,nin,outptr,outsz,nout)
integer *flag,*nevprt,*nx,*nz,*ntvec,*nrpar,ipar[],*nipar,insz[],*nin,outsz[],*nout;
double x[],xd[],z[],tvec[],rpar[];
double *inptr[],*outptr[],*t;
{
  /*dclaration des variables*/
  int i,nu;
  double *y;
  double *u;

  /*Rcupration des adresses des ports rguliers*/
  y=(double *)outptr[0];
  u=(double *)inptr[0];

  /*rcupration de la taille du port d'entre*/
  nu=insz[0];

  /*Retourne la valeur entire par (int)u[i] dans le registre de sortie*/
  for(i=0;i<nu;i++) y[i]=(int)u[i];
}
